Skip to content
Permalink
Browse files

Merge pull request #35542 from AlekseyTs/CoreCLRUpdate

Move to a newer version of CoreCLR

Microsoft.NETCore.App 3.0.0-preview6-27706-07, SDK version 3.0.100-preview6-011773
  • Loading branch information...
AlekseyTs committed May 10, 2019
2 parents e6a1f44 + 6dbd79a commit 6d3463c660d29f7aa1c7fdb87bc006085a3bf2f4
@@ -19,7 +19,7 @@ The minimal required version of .NET Framework is 4.7.2.
- Ensure C#, VB, MSBuild, .NET Core and Visual Studio Extensibility are included in the selected work loads
- Ensure Visual Studio is on Version "RC1" or greater
- Ensure "Use Previews" is checked in Tools -> Options -> Projects and Solutions -> .NET Core
1. [.NET Core SDK 3.0 Preview 4](https://dotnet.microsoft.com/download/dotnet-core/3.0) [Windows x64 installer](https://dotnetcli.azureedge.net/dotnet/Sdk/3.0.100-preview4-010963/dotnet-sdk-3.0.100-preview4-010963-win-x64.exe )
1. [.NET Core SDK 3.0 Preview 6](https://dotnet.microsoft.com/download/dotnet-core/3.0) [Windows x64 installer](https://dotnetcli.azureedge.net/dotnet/Sdk/3.0.100-preview6-011773/dotnet-sdk-3.0.100-preview6-011773-win-x64.exe )
1. [PowerShell 5.0 or newer](https://docs.microsoft.com/en-us/powershell/scripting/setup/installing-windows-powershell). If you are on Windows 10, you are fine; you'll only need to upgrade if you're on Windows 7. The download link is under the "upgrading existing Windows PowerShell" heading.
1. Run Restore.cmd
1. Open Roslyn.sln
@@ -67,9 +67,8 @@
<MicrosoftMSXMLVersion>8.0.0.0-alpha</MicrosoftMSXMLVersion>
<MicrosoftNetCompilersToolsetVersion>3.1.0-beta1-19164-01</MicrosoftNetCompilersToolsetVersion>
<MicrosoftNetCoreAnalyzersVersion>$(RoslynDiagnosticsNugetPackageVersion)</MicrosoftNetCoreAnalyzersVersion>
<MicrosoftNetCoreILAsmVersion>3.0.0-preview4-27525-72</MicrosoftNetCoreILAsmVersion>
<MicrosoftNetCoreILAsmVersion>3.0.0-preview4-27525-72</MicrosoftNetCoreILAsmVersion>
<MicrosoftNetCoreILDasmVersion>3.0.0-preview4-27525-72</MicrosoftNetCoreILDasmVersion>
<MicrosoftNetCoreILAsmVersion>3.0.0-preview6-27706-71</MicrosoftNetCoreILAsmVersion>
<MicrosoftNetCoreILDasmVersion>3.0.0-preview6-27706-71</MicrosoftNetCoreILDasmVersion>
<MicrosoftNETCorePlatformsVersion>2.1.2</MicrosoftNETCorePlatformsVersion>
<MicrosoftNETTestSdkVersion>16.0.1</MicrosoftNETTestSdkVersion>
<MicrosoftNETCoreTestHostVersion>1.1.0</MicrosoftNETCoreTestHostVersion>
@@ -1,6 +1,6 @@
{
"tools": {
"dotnet": "3.0.100-preview4-010963",
"dotnet": "3.0.100-preview6-011773",
"vs": {
"version": "16.0"
},
@@ -6,7 +6,6 @@
<RootNamespace>Microsoft.CodeAnalysis.CSharp.Symbol.UnitTests</RootNamespace>
<NoStdLib>true</NoStdLib>
<TargetFrameworks>net472;netcoreapp3.0</TargetFrameworks>
<RuntimeIdentifiers>$(RoslynPortableRuntimeIdentifiers)</RuntimeIdentifiers>
<AllowUnsafeBlocks>true</AllowUnsafeBlocks>
</PropertyGroup>
<ItemGroup Label="Project References">
@@ -106,13 +106,6 @@ private bool CheckDesktop(TextWriter textWriter, IEnumerable<string> assetRelati
string.Empty,
assetRelativeNames);

// Temporarily inserting Microsoft.DiaSymReader.Native.arm.dll while SDK team tracks down why
// it's being inserted into destkop builds.
// https://github.com/dotnet/cli/issues/10979
allGood &= VerifyVsix(
textWriter,
FindVsix("Roslyn.Compilers.Extension"),
assetRelativeNames.Concat(new[] { "Roslyn.Compilers.Extension.dll", "Microsoft.DiaSymReader.Native.arm.dll" }));
return allGood;
}

0 comments on commit 6d3463c

Please sign in to comment.
You can’t perform that action at this time.